#
# spec file for package python-retrying
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-retrying
Version:        1.3.3
Release:        4.5
Summary:        Retrying
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/rholder/retrying
Source:         https://pypi.python.org/packages/source/r/retrying/retrying-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-six >= 1.7.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Retrying is an Apache 2.0 licensed general-purpose retrying library, written in
Python, to simplify the task of adding retry behavior to just about anything.

%prep
%setup -q -n retrying-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Jan  7 2015 tbechtold@suse.com
- update to version 1.3.3:
  - Add minimum six version of 1.7.0 since anything less will break
  things
- Add python-six as Requires
* Thu Dec 11 2014 dmueller@suse.com
- update to 1.3.2:
  - Ensure we wrap the decorated functions to prevent information loss
  - Allow a jitter value to be passed in
  - Add requirements.txt to MANIFEST.in to fix pip installs
  - Add upstream six dependency, remove embedded six functionality
  - Add support for custom wait and stop functions
* Sun Jul 13 2014 dmueller@suse.com
- Initial package
